Subject: Re: bug#54079: 29.0.50; Method dispatching eratically fails

From: Michael Heerdegen <[email-masked]>
Date: Sun, 06 Mar 2022 03:19:02 +0100

Alan Mackenzie <[email-masked]> writes:

> > > (byte-compile-file
> > >  "/home/micha/software/emacs/lisp/emacs-lisp/cl-generic.el")
> > > (require 'gnus-search)

> Would you try out the following patch, please, which I believe fixes the
> bug.
> [...patch...]

That fixed the above case - but unfortunately not the failing method
dispatching for my register stuff after compiling some unrelated random
files.

Michael.